Description

jstoolbar help files are pure html static files that are importing the images using html image elements, for example:

<img src="../../images/jstoolbar/bt_img.png" style="border: 1px solid #bbb;" alt="Image" />

 We need to update these files in order to use the images generated by the asset pipeline. I see 2 options:

1. move all these images as CSS background images

2. refactor all help files in order to use a template that is rendered on server side. If we do this, it will make also easier to modify that

files because you don't need to make the same change in all help files.

Related issues:

Related to Redmine - Feature #39111: Enable Asset Pipeline Integration using ... Closed

Related to Redmine - Patch #40559: Fix incorrect icon image paths for Wiki he... Closed

Associated revisions

Revision 22717 - 2024-02-19 21:24 - Marius BĂLTEANU

Moves all wiki syntax files from public/help to app/views/help/wiki_syntax.

Adds route to serve wiki syntax help files.

Moves wiki syntax CSS files to asset pipeline.

(#39111, #40137).

Revision 22718 - 2024-02-19 21:28 - Marius BĂLTEANU

Reverts r22717 (#39111, #40137).

Revision 22719 - 2024-02-19 21:41 - Marius BĂLTEANU

Introduces HelpController and a new route help/wiki_syntax/(:type) to serve wiki syntax help files.

Moves all wiki syntax help files to app/views/help and CSS files to asset pipeline.

(#39111, #40137).

Revision 22720 - 2024-02-19 21:51 - Marius BĂLTEANU

Reorganize all the wiki syntax help files per text formatter (markdown, common_mark and textile) (#39111, #40137).

Revision 22721 - 2024-02-19 21:54 - Marius BĂLTEANU

Remove languages from wiki syntax help files that are identical with en language.

Fall back to the english help page if there is none for the current language.

(#39111, #40137).

Revision 22722 - 2024-02-19 21:58 - Marius BĂLTEANU

Updates JS toolbar help button to use the new route (#39111, #40137).

Revision 22723 - 2024-02-19 22:00 - Marius BĂLTEANU

Adds erb extension to all wiki syntax help files (#39111, #40137).

Revision 22724 - 2024-02-19 22:02 - Marius BĂLTEANU
Cleanup wiki syntax files by moving inline style for img border to CSS (#39111, #40137).

Revision 22725 - 2024-02-19 22:03 - Marius BĂLTEANU

Includes CSS files from the asset pipeline (#39111, #40137).

Revision 22726 - 2024-02-19 22:09 - Marius BĂLTEANU

Replaces static img tag from wiki syntax help files with image_tag (#39111, #40137).

Revision 22727 - 2024-02-19 22:28 - Marius BĂLTEANU

Replaces static link to detailed version with the new route (#39111, #40137).

Revision 22728 - 2024-02-19 22:37 - Marius BĂLTEANU

Cleanup empty directories (#39111, #40137).

Revision 22729 - 2024-02-21 07:36 - Marius BĂLTEANU

Deletes Redmine::WikiFormatting::CommonMark::HelperTest tests that are no longer required after wiki syntax help files refactor (#39111, #40137).

Revision 22730 - 2024-02-25 21:12 - Marius BĂLTEANU

Add tests for /help/wiki_syntax route (#39111, #40137).

Revision 22731 - 2024-02-25 21:53 - Marius BĂLTEANU

Add tests for HelpController (#39111, #40137).

Revision 22732 - 2024-02-25 22:41 - Marius BĂLTEANU

Adds route for code highlighting languages page (#39111, #40137).

Revision 22733 - 2024-02-25 22:42 - Marius BĂLTEANU

Use assert_select to assert text from h1 element of wiki syntax pages (#39111, #40137).

Revision 22757 - 2024-03-03 23:24 - Marius BĂLTEANU

Fix rubocop warning (#39111, #40137).

Revision 22771 - 2024-03-08 08:13 - Go MAEDA

Fix RuboCop offense Layout/SpaceInsideStringInterpolation  (#39111, #40137).

Revision 22782 - 2024-04-16 20:56 - Marius BĂLTEANU

Fix incorrect icon image paths on Markdown help page (#40559, #40137, #39111).

Patch by Katsuya HIDAKA (hidakatsuya).

Revision 22783 - 2024-04-16 20:57 - Marius BĂLTEANU

Fix incorrect icon image paths on Textile help page (#40559, #40137, #39111).

Patch by Katsuya HIDAKA (hidakatsuya).

History

#1 - 2024-01-29 02:42 - Marius BĂLTEANU

- Related to Feature #39111: Enable Asset Pipeline Integration using Propshaft added

#2 - 2024-02-19 01:34 - Marius BĂLTEANU

- File Archive.zip added

I've started working on this and I'm attaching an intermediary version of the patch series:

0001-Add-route-to-serve-all-wiki-syntax-help-files-from-v

Introduces HelpController and a new route help/wiki_syntax/(:detailed) to serve help files

Moves all wiki syntax help files to app/views/help and CSS files to app/assets/stylesheets
0002-Reorganizare-wiki-syntax-help-files-per-text-formatt

Reorganize all the help files per text formatter (markdown, common_mark and textile)

0003-Remove-languages-from-wiki-syntax-help-files-that-ar (inspired from common_mark implementation)

Remove languages from wiki syntax help files that are identical with en language.

Fall back to the english help page if there is none for the current language.

0004-Point-JS-toolbar-Help-button-to-new-route

Changes JS toolbar help button to use the new route

0005-Add-erb-extension-to-all-wiki-syntax-help-files

Just add the erb extension to all files.

0006-Move-img-border-definition-to-CSS-file

Move inline style for img border to css file to cleanup a little bit the view files.

0007-Include-css-file-from-asset-pipeline

Includes the css file from the asset pipeline.

Still need to finish:

Update link that points to detailed version.

Include images using image_tag.

Add tests for new route and HelpController.

I hope I will finish this until the end of this month.

#3 - 2024-02-19 21:05 - Marius BĂLTEANU

- File 0008-Replace-static-image-tag-with-image_tag-in-order-to-.patch added

- File 0009-Replace-static-links-to-detailed-common-mark-with-th.patch added

Added last two patches that get rid of the static image tags and links.

#4 - 2024-02-19 22:38 - Marius BĂLTEANU

I've committed all the patches, still need to add tests.

#5 - 2024-02-26 00:04 - Marius BĂLTEANU

- Category set to Text formatting

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

I think I've finished all the minimum changes in order to restore the old functionality.

#6 - 2024-02-26 00:04 - Marius BĂLTEANU

- Tracker changed from Defect to Patch

- Resolution deleted (Fixed)

#7 - 2024-04-16 21:00 - Marius BĂLTEANU

- Related to Patch #40559: Fix incorrect icon image paths for Wiki help pages added

Files

Archive.zip 57 KB 2024-02-19 Marius BĂLTEANU

0009-Replace-static-links-to-detailed-common-mark-with-th.patch 202 KB 2024-02-19 Marius BĂLTEANU

0008-Replace-static-image-tag-with-image_tag-in-order-to-.patch 255 KB 2024-02-19 Marius BĂLTEANU

Powered by TCPDF (www.tcpdf.org)

2024-05-10 3/3

http://www.tcpdf.org

